org.apache.hadoop.mapreduce.jobhistory

## Enum EventType

- java.lang.Object
- - java.lang.Enum<EventType>
  - - org.apache.hadoop.mapreduce.jobhistory.EventType

- All Implemented Interfaces:
    Serializable, Comparable<EventType>

      public enum EventType
      extends Enum<EventType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AM_STARTED`
    `CLEANUP_ATTEMPT_FAILED`
    `CLEANUP_ATTEMPT_FINISHED`
    `CLEANUP_ATTEMPT_KILLED`
    `CLEANUP_ATTEMPT_STARTED`
    `JOB_ERROR`
    `JOB_FAILED`
    `JOB_FINISHED`
    `JOB_INFO_CHANGED`
    `JOB_INITED`
    `JOB_KILLED`
    `JOB_PRIORITY_CHANGED`
    `JOB_QUEUE_CHANGED`
    `JOB_STATUS_CHANGED`
    `JOB_SUBMITTED`
    `MAP_ATTEMPT_FAILED`
    `MAP_ATTEMPT_FINISHED`
    `MAP_ATTEMPT_KILLED`
    `MAP_ATTEMPT_STARTED`
    `NORMALIZED_RESOURCE`
    `REDUCE_ATTEMPT_FAILED`
    `REDUCE_ATTEMPT_FINISHED`
    `REDUCE_ATTEMPT_KILLED`
    `REDUCE_ATTEMPT_STARTED`
    `SETUP_ATTEMPT_FAILED`
    `SETUP_ATTEMPT_FINISHED`
    `SETUP_ATTEMPT_KILLED`
    `SETUP_ATTEMPT_STARTED`
    `TASK_FAILED`
    `TASK_FINISHED`
    `TASK_STARTED`
    `TASK_UPDATED`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.avro.Schema` | `SCHEMA$`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.avro.Schema` | `getClassSchema()`
    `static EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JOB_SUBMITTED

          public static final EventType JOB_SUBMITTED

    - #### JOB_INITED

          public static final EventType JOB_INITED

    - #### JOB_FINISHED

          public static final EventType JOB_FINISHED

    - #### JOB_PRIORITY_CHANGED

          public static final EventType JOB_PRIORITY_CHANGED

    - #### JOB_STATUS_CHANGED

          public static final EventType JOB_STATUS_CHANGED

    - #### JOB_QUEUE_CHANGED

          public static final EventType JOB_QUEUE_CHANGED

    - #### JOB_FAILED

          public static final EventType JOB_FAILED

    - #### JOB_KILLED

          public static final EventType JOB_KILLED

    - #### JOB_ERROR

          public static final EventType JOB_ERROR

    - #### JOB_INFO_CHANGED

          public static final EventType JOB_INFO_CHANGED

    - #### TASK_STARTED

          public static final EventType TASK_STARTED

    - #### TASK_FINISHED

          public static final EventType TASK_FINISHED

    - #### TASK_FAILED

          public static final EventType TASK_FAILED

    - #### TASK_UPDATED

          public static final EventType TASK_UPDATED

    - #### NORMALIZED_RESOURCE

          public static final EventType NORMALIZED_RESOURCE

    - #### MAP_ATTEMPT_STARTED

          public static final EventType MAP_ATTEMPT_STARTED

    - #### MAP_ATTEMPT_FINISHED

          public static final EventType MAP_ATTEMPT_FINISHED

    - #### MAP_ATTEMPT_FAILED

          public static final EventType MAP_ATTEMPT_FAILED

    - #### MAP_ATTEMPT_KILLED

          public static final EventType MAP_ATTEMPT_KILLED

    - #### REDUCE_ATTEMPT_STARTED

          public static final EventType REDUCE_ATTEMPT_STARTED

    - #### REDUCE_ATTEMPT_FINISHED

          public static final EventType REDUCE_ATTEMPT_FINISHED

    - #### REDUCE_ATTEMPT_FAILED

          public static final EventType REDUCE_ATTEMPT_FAILED

    - #### REDUCE_ATTEMPT_KILLED

          public static final EventType REDUCE_ATTEMPT_KILLED

    - #### SETUP_ATTEMPT_STARTED

          public static final EventType SETUP_ATTEMPT_STARTED

    - #### SETUP_ATTEMPT_FINISHED

          public static final EventType SETUP_ATTEMPT_FINISHED

    - #### SETUP_ATTEMPT_FAILED

          public static final EventType SETUP_ATTEMPT_FAILED

    - #### SETUP_ATTEMPT_KILLED

          public static final EventType SETUP_ATTEMPT_KILLED

    - #### CLEANUP_ATTEMPT_STARTED

          public static final EventType CLEANUP_ATTEMPT_STARTED

    - #### CLEANUP_ATTEMPT_FINISHED

          public static final EventType CLEANUP_ATTEMPT_FINISHED

    - #### CLEANUP_ATTEMPT_FAILED

          public static final EventType CLEANUP_ATTEMPT_FAILED

    - #### CLEANUP_ATTEMPT_KILLED

          public static final EventType CLEANUP_ATTEMPT_KILLED

    - #### AM_STARTED

          public static final EventType AM_STARTED

  - ### Field Detail

    - #### SCHEMA$

          public static final org.apache.avro.Schema SCHEMA$

  - ### Method Detail

    - #### values

          public static EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventType c : EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getClassSchema

          public static org.apache.avro.Schema getClassSchema()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.